View Issue Details

IDProjectCategoryView StatusLast Update
0000297Adventure PHP FrameworkNeues Feature // New Featurepublic2016-09-16 21:06
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version3.2 
Target Version3.3Fixed in Version3.3 
Summary0000297: Introduce an easy way to fill forms
DescriptionBased on 0000275 within this issue an easy model-to-form mapping should be implemented that allows filling a form from a model as a one-liner.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacetools

Relationships

related to 0000275 resolvedChristianAchatz Introduce data mapping for forms 

Activities

ChristianAchatz

2016-07-03 14:42

administrator   ~0000724

Implementation done. See changes under https://github.com/AdventurePHP/code/commit/988ab31e5093dedec2d96df26b8635043d1388f0.

thalo1

2016-07-20 17:31

reporter   ~0000732

Hi Christian,

I would prefer to replace the following in tools/form/mapping/CheckBoxToFormMapper.php:41

if ($value === true)

with

if ((bool)$value === true)

ChristianAchatz

2016-07-21 14:43

administrator   ~0000733

Thanks for your suggestion. I'll consider this when I start working on the documentation.

ChristianAchatz

2016-08-13 14:25

administrator   ~0000740

Adaption conducted as suggested. See changes under https://github.com/AdventurePHP/code/commit/1eca6868b39cbe9437ae9c685a4ebc5cb0db9c1d.

ChristianAchatz

2016-08-13 14:55

administrator   ~0000741

Started documentation.

ChristianAchatz

2016-09-16 21:06

administrator   ~0000744

Finished documentation. See changes under https://github.com/AdventurePHP/docs/commit/7003d273a18698f337195257e474b78b57f84a78.

Issue History

Date Modified Username Field Change
2016-04-18 22:49 ChristianAchatz New Issue
2016-04-18 22:49 ChristianAchatz Status new => assigned
2016-04-18 22:49 ChristianAchatz Assigned To => ChristianAchatz
2016-04-18 22:49 ChristianAchatz Issue generated from: 0000275
2016-04-18 22:49 ChristianAchatz Relationship added related to 0000275
2016-07-03 14:42 ChristianAchatz Note Added: 0000724
2016-07-20 17:31 thalo1 Note Added: 0000732
2016-07-21 14:43 ChristianAchatz Note Added: 0000733
2016-08-13 14:25 ChristianAchatz Note Added: 0000740
2016-08-13 14:55 ChristianAchatz Note Added: 0000741
2016-09-16 21:06 ChristianAchatz Note Added: 0000744
2016-09-16 21:06 ChristianAchatz Status assigned => resolved
2016-09-16 21:06 ChristianAchatz Fixed in Version => 3.3
2016-09-16 21:06 ChristianAchatz Resolution open => fixed